#version 330

uniform mat4 mvp;

in vec3 position;
in vec3 normal;
in vec2 uv;

out vec3 fragPosition;
out vec3 fragNormal;
out vec2 fragUV;

void main() 
{
	// Pass variables to fragment shader 
	fragPosition = position;
	fragNormal = normal;
	fragUV = uv;

	// Apply MVP matrix to vertex position
	gl_Position = mvp * vec4(position, 1);
}