#version 330

uniform sampler2D message;

in vec2 fragUv;

out vec4 outColor;

void main()
{
	// Hack to show transparency, pixels which are completely black are transparent
	vec3 color = texture(message, fragUv).rgb;
	int alpha = 1;
	if(color == vec3(0, 0, 0)) alpha = 0;
	outColor = vec4(color, alpha);
}