#version 330

uniform mat4 mvp;

in vec2 uv;
in vec3 position;
in vec3 normal;

out vec2 fragUV;

void main() 
{
	// Pass variables to fragment shader 
	fragUV = uv;
	
	// Apply MVP matrix to vertex position
	gl_Position = mvp * vec4(position, 1);
}